__gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >(3cxx)

NAME
__gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >

SYNOPSIS

Inherits std::unary_function< _Arg, _Result >.

  Public Types

typedef _Arg argument_type
typedef _Result result_type

  Public Member Functions

binary_compose (const _Operation1 &__x, const _Operation2 &__y, const _Operation3 &__z)
_Operation1::result_type operator() (const typename _Operation2::argument_type &__x) const

  Protected Attributes

_Operation1 _M_fn1
_Operation2 _M_fn2
_Operation3 _M_fn3

Detailed Description

  template<class _Operation1, class _Operation2, class _Operation3>
class __gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >" An SGI extension .

Definition at line 150 of file ext/functional.

Member Typedef Documentation

  template<typename _Arg, typename _Result> typedef _Arg std::unary_function< _Arg, _Result >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 108 of file stl_function.h.

  template<typename _Arg, typename _Result> typedef _Result std::unary_function< _Arg, _Result >::result_type [inherited]

result_type is the return type

Definition at line 111 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.